# Get webhooks

Get a single webhook based on its ID

Endpoint: GET /v2/webhooks/{id}
Version: 2.0
Security: TokenAuth

## Path parameters:

  - `id` (string, required)
    The webhook ID

## Response 200 fields (application/json):

  - `id` (string, required)
    The webhook ID.
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `createdBy` (string, required)
    The ID of the user who created this webhook
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `createdAt` (string, required)
    The date and time the webhook was created
    Example: "2022-03-29T10:22:22.420Z"

  - `updatedBy` (string, required)
    The ID of the user who updated this webhook
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `updatedAt` (string, required)
    The date and time the webhook was updated
    Example: "2022-03-29T10:22:22.420Z"

  - `name` (string, required)
    The webhook name
    Example: "Palisade Transactions"

  - `description` (string)
    The webhook description
    Example: "A webhook used to monitor transactions"

  - `endpoint` (string, required)
    The webhook endpoint to send data to
    Example: "https://palisade.co/webhook"

  - `subscriptionCount` (integer, required)
    The number of subscriptions associated with the webhook
    Example: 5

  - `publicKey` (string, required)
    The public key used to verify the webhook signature
    Example: "MFkwEwYHKoZIzj0CAQYIKoZIzj0DAQcDQgAEpHiEkdd/ba5dU4sNCgsWrMOE6fLakHywl0OgF5aVfxkiqNh22oybRAREev7jvnwH4jqitHx79KGi6CMwiJjmaw=="

  - `lastSuccess` (string)
    The timestamp of the last successful webhook delivery
    Example: "2022-03-29T10:22:22.420Z"

  - `lastFailure` (string)
    The timestamp of the last failed webhook delivery
    Example: "2022-03-29T10:22:22.420Z"

  - `successCount` (integer, required)
    The number of successful webhook deliveries in the last hour
    Example: 42

  - `failureCount` (integer, required)
    The number of failed webhook deliveries in the last hour
    Example: 3

## Response 400 fields (application/json):

  - `code` (integer)

  - `message` (string)

  - `details` (array)

  - `details.@type` (string)


